Bug 804055 - Review Request: spring-ldap - Java library for simplifying LDAP operations
Review Request: spring-ldap - Java library for simplifying LDAP operations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Asaf Shakarchi
Fedora Extras Quality Assurance
:
Depends On: 804048
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 08:32 EDT by Juan Hernández
Modified: 2013-08-05 19:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: spring-ldap-1.3.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 12:33:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
asaf: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2012-03-16 08:32:00 EDT
Spec URL:

http://jhernand.fedorapeople.org/rpms/spring-ldap/1.3.0-1/spring-ldap.spec

SRPM URL:

http://jhernand.fedorapeople.org/rpms/spring-ldap/1.3.0-1/spring-ldap-1.3.0-1.fc18.src.rpm

Description:

Spring LDAP is a Java library for simplifying LDAP operations, based on the
pattern of Spring's JdbcTemplate. The framework relieves the user of common
chores, such as looking up and closing contexts, looping through results,
encoding/decoding values and filters, and more. The LdapTemplate class
encapsulates all the plumbing work involved in traditional LDAP programming,
such as creating a DirContext, looping through NamingEnumerations, handling
exceptions and cleaning up resources. This leaves the programmer to handle the
important stuff - where to find data (DNs and Filters) and what do do with it
(map to and from domain objects, bind, modify, unbind, etc.), in the same way
that JdbcTemplate relieves the programmer of all but the actual SQL and how the
data maps to the domain model. In addition to this, Spring LDAP provides
transaction support, a pooling library, exception translation from
NamingExceptions to a mirrored unchecked Exception hierarchy, as well as
several utilities for working with filters, LDAP paths and Attributes.
Comment 1 Juan Hernández 2012-03-16 11:35:01 EDT
Now that springframework is in rawhide this package builds correctly in Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3901004
Comment 2 Juan Hernández 2012-03-23 06:57:17 EDT
Updated to upstream version 1.3.1. The updated spec and source package are available here:

http://jhernand.fedorapeople.org/rpms/spring-ldap/1.3.1-1

Koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3925805
Comment 3 Asaf Shakarchi 2012-03-26 08:44:36 EDT
I am taking this for review.
Comment 4 Asaf Shakarchi 2012-03-26 13:26:49 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

Output of rpmlint of the source package:


$ rpmlint spring-ldap-1.3.1-1.fc18.src.rpm
spring-ldap.src: I: enchant-dictionary-not-found en_US
spring-ldap.src: W: invalid-url Source0: spring-ldap-1.3.1.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

The warning is acceptable.


Output of rpmlint of the binary packages:

$ rpmlint spring-ldap-1.3.1-1.fc18.noarch.rpm
spring-ldap.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format
%{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3925805

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging
Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.

Sources are equal and verified by using a recursive diff.

[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other
packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with
good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT
mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc
subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that
tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be
removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when
building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of
%{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a
comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why
it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on
jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=3933996


It looks good now.

================
*** APPROVED ***
================
Comment 5 Juan Hernández 2012-03-26 13:32:09 EDT
New Package SCM Request
=======================
Package Name: spring-ldap
Short Description: Java library for simplifying LDAP operations
Owners: jhernand
Branches: f17
InitialCC:
Comment 6 Gwyn Ciesla 2012-03-26 13:59:08 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-04-12 09:45:38 EDT
spring-ldap-1.3.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/spring-ldap-1.3.1-1.fc17
Comment 8 Fedora Update System 2012-04-18 18:46:51 EDT
spring-ldap-1.3.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.